跳转到主要内容
POST
https://api.aisa.one/apis/v1
/
agentmail
/
inboxes
/
{inbox_id}
/
drafts
创建草稿
curl --request POST \
  --url https://api.aisa.one/apis/v1/agentmail/inboxes/{inbox_id}/drafts \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "labels": [
    "<string>"
  ],
  "reply_to": [
    "<string>"
  ],
  "to": [
    "<string>"
  ],
  "cc": [
    "<string>"
  ],
  "bcc": [
    "<string>"
  ],
  "subject": "<string>",
  "text": "<string>",
  "html": "<string>",
  "attachments": [
    {
      "filename": "<string>",
      "content_type": "<string>",
      "content_id": "<string>",
      "content": "<string>",
      "url": "<string>"
    }
  ],
  "in_reply_to": "<string>",
  "send_at": "2023-11-07T05:31:56Z",
  "client_id": "<string>"
}
'
import requests

url = "https://api.aisa.one/apis/v1/agentmail/inboxes/{inbox_id}/drafts"

payload = {
"labels": ["<string>"],
"reply_to": ["<string>"],
"to": ["<string>"],
"cc": ["<string>"],
"bcc": ["<string>"],
"subject": "<string>",
"text": "<string>",
"html": "<string>",
"attachments": [
{
"filename": "<string>",
"content_type": "<string>",
"content_id": "<string>",
"content": "<string>",
"url": "<string>"
}
],
"in_reply_to": "<string>",
"send_at": "2023-11-07T05:31:56Z",
"client_id": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
labels: ['<string>'],
reply_to: ['<string>'],
to: ['<string>'],
cc: ['<string>'],
bcc: ['<string>'],
subject: '<string>',
text: '<string>',
html: '<string>',
attachments: [
{
filename: '<string>',
content_type: '<string>',
content_id: '<string>',
content: '<string>',
url: '<string>'
}
],
in_reply_to: '<string>',
send_at: '2023-11-07T05:31:56Z',
client_id: '<string>'
})
};

fetch('https://api.aisa.one/apis/v1/agentmail/inboxes/{inbox_id}/drafts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "inbox_id": "<string>",
  "draft_id": "<string>",
  "labels": [
    "<string>"
  ],
  "updated_at": "2023-11-07T05:31:56Z",
  "created_at": "2023-11-07T05:31:56Z",
  "client_id": "<string>",
  "reply_to": [
    "<string>"
  ],
  "to": [
    "<string>"
  ],
  "cc": [
    "<string>"
  ],
  "bcc": [
    "<string>"
  ],
  "subject": "<string>",
  "preview": "<string>",
  "text": "<string>",
  "html": "<string>",
  "attachments": [
    {
      "attachment_id": "<string>",
      "size": 123,
      "filename": "<string>",
      "content_type": "<string>",
      "content_id": "<string>"
    }
  ],
  "in_reply_to": "<string>",
  "references": [
    "<string>"
  ],
  "send_at": "2023-11-07T05:31:56Z"
}
{
"name": "<string>",
"message": "<string>"
}

授权

Authorization
string
header
必填

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

请求头

Authorization
string
必填

Bearer 身份验证

路径参数

inbox_id
string
必填

收件箱的 ID。

请求体

application/json
labels
string[]

草稿标签。

reply_to
string[]

回复地址。格式为 username@domain.comDisplay Name <username@domain.com>

to
string[]

收件人地址。格式为 username@domain.comDisplay Name <username@domain.com>

cc
string[]

抄送收件人的地址。格式为 username@domain.comDisplay Name <username@domain.com>

bcc
string[]

BCC 收件人的地址。格式为 username@domain.comDisplay Name <username@domain.com>

subject
string

草稿主题。

text
string

草稿的纯文本正文。

html
string

草稿的 HTML 正文。

attachments
SendAttachment · object[]

草稿中要包含的附件。

in_reply_to
string

被回复消息的 ID。

send_at
string<date-time>

计划发送草稿的时间。

client_id
string

草稿的客户端 ID。

响应

状态码为 200 的响应

inbox_id
string
必填

收件箱的 ID。

draft_id
string
必填

草稿 ID。

labels
string[]
必填

草稿标签。

updated_at
string<date-time>
必填

草稿的最后更新时间。

created_at
string<date-time>
必填

草稿创建时间。

client_id
string

草稿的客户端 ID。

reply_to
string[]

回复地址。格式为 username@domain.comDisplay Name <username@domain.com>

to
string[]

收件人地址。格式为 username@domain.comDisplay Name <username@domain.com>

cc
string[]

抄送收件人的地址。格式为 username@domain.comDisplay Name <username@domain.com>

bcc
string[]

BCC 收件人的地址。格式为 username@domain.comDisplay Name <username@domain.com>

subject
string

草稿主题。

preview
string

草稿文本预览。

text
string

草稿的纯文本正文。

html
string

草稿的 HTML 正文。

attachments
Attachment · object[]

草稿中的附件。

in_reply_to
string

被回复消息的 ID。

references
string[]

会话串中先前消息的 ID。

send_status
enum<string>

草稿的定时发送状态。

可用选项:
scheduled,
sending,
failed
send_at
string<date-time>

计划发送草稿的时间。